package cn.com.qmth.examcloud.ws;

import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.boot.autoconfigure.jdbc.DataSourceAutoConfiguration;
import org.springframework.cloud.client.discovery.EnableDiscoveryClient;
import org.springframework.context.annotation.ComponentScan;
import org.springframework.context.annotation.Configuration;

@Configuration
@EnableDiscoveryClient
@ComponentScan(basePackages = {"cn.com.qmth"})
@SpringBootApplication(exclude = {DataSourceAutoConfiguration.class})
public class WebSocketApp {

    static {
        if (System.getProperty("log.commonLevel") == null) {
            System.setProperty("log.commonLevel", "INFO");
        }
        System.setProperty("hibernate.dialect.storage_engine", "innodb");
    }

    /**
     * main
     *
     * @param args
     * @throws Exception
     * @author WANGWEI
     */
    public static void main(String[] args) throws Exception {
        // AppBootstrap.run(WebSocketApp.class, args);
        SpringApplication.run(WebSocketApp.class, args);
    }

}
