package cn.com.qmth.examcloud.ws.starter.core;

import java.util.Date;

import cn.com.qmth.examcloud.api.commons.exchange.JsonSerializable;

/**
 * 服务端消息
 *
 * @author WANGWEI
 * @date 2019年11月22日
 * @Copyright (c) 2018-? http://qmth.com.cn All Rights Reserved.
 */
public class MessageOut implements JsonSerializable {

	private static final long serialVersionUID = -2255327250550304236L;

	private Date date;

	private String path;

	private String sessionId;

	private Status status;

	private String eventId;

	private Object content;

	/**
	 * 构造函数
	 *
	 * @param path
	 */
	public MessageOut(String path) {
		super();
		this.path = path;
		this.status = new Status();
	}

	/**
	 * 构造函数
	 *
	 * @param path
	 * @param sessionId
	 */
	public MessageOut(String path, String sessionId) {
		super();
		this.path = path;
		this.sessionId = sessionId;
		this.status = new Status();
	}

	/**
	 * 设置状态
	 *
	 * @author WANGWEI
	 * @param code
	 * @param desc
	 */
	public void setStatus(String code, String desc) {
		if (null == this.status) {
			this.status = new Status();
		}

		this.status.setCode(code);
		this.status.setDesc(desc);
	}

	public Date getDate() {
		return date;
	}

	public void setDate(Date date) {
		this.date = date;
	}

	public String getPath() {
		return path;
	}

	public void setPath(String path) {
		this.path = path;
	}

	public String getSessionId() {
		return sessionId;
	}

	public void setSessionId(String sessionId) {
		this.sessionId = sessionId;
	}

	public Status getStatus() {
		return status;
	}

	public void setStatus(Status status) {
		this.status = status;
	}

	public String getEventId() {
		return eventId;
	}

	public void setEventId(String eventId) {
		this.eventId = eventId;
	}

	public Object getContent() {
		return content;
	}

	public void setContent(Object content) {
		this.content = content;
	}

}
